MixVibes Help header

MixVibes HELP version 2.0

      Past1.gif (491 octets) Introduction
      Past1.gif (491 octets) News
      Past1.gif (491 octets) Options / System
      Past1.gif (491 octets) Functions
      Past1.gif (491 octets) Toolbar
      Past1.gif (491 octets) Shortcuts
      Past1.gif (491 octets) FAQ
      Past1.gif (491 octets) Thanks

info@mixvibes.com
Copyright © MIX VIBES 1999
All rights reserved.


MixVibes Help news

News 2.02

Correction Bugs

  1. mp3 performance (Xaudio mp3 codec)
  2. automix function (or drag mix) with media start/end position
  3. playlist reselection
  4. open (or drag) a file already opened in mixvibes
  5. record mode
  6. beat matching
  7. speed back
  8. equalization on stereo file

News Functions

1) no more limitations for codec ms audio aif au ...
Now you can equalize and speed all these files

2) perfect looping
you can perfectly loop your samples (no more latency on loop)

3) load mode
files are automatically loaded when selected in the mixer then you can perfectly synchronize 2 music

4) you can add a cover for a media (a cover file can be .jpg .gif or .htm file)

5) tempo are saving in mp3 Tag then you can find back the tempo from the file

6) save music file mp3 (or others codecs) to wav

7) scan any drive or directory (with all child directories) to find media and add in the media database

8) you can change colors in mixvibes for the mixer, media database, playlist ...

9) mouse and move
if you click in the mixer channel counter (not the main counter) and move the mouse in right, left, down, up direction (with mouse button down), the media playing will be moved

10) mouse wheel can control all MixVibes controls (volume pan eq gain and also mixer counter for moving the media) just be over the control and turn the wheel

11) improvments for main volume and talk over

News 1.1.0

Correction Bugs

  1. windows NT no working
  2. speed do not affect really duration media (even you see change)
    then media finished too early
  3. 2 Midi media not folowing
  4. freeing audio media for au aif file formats
  5. play event not setting vol and pan to media
  6. change path no set the flag modified to document
  7. registration dialog box
  8. dialog box position field too short

News Functions

1) Talk Over see microphone icon (toolbar)
you can set fade time and db attenuation (see options)
Talk over fade out and in automatically all audio channels
then you can speak on the music with your micro

2) Master/Slave
A master channel can manage all slave channels for :
volume, pan, equalization, out, speed, start, stop, moving

a master channel is set M in the mixer
a slave channel is set with the number of master channel

3) Beat Matching
Select the media in the mixer to be matched and drag and drop
with shift key pressed on the media in the mixer to match
(you will see cursor =)
if you don't press shift key the media move to the mixer channel dropped

4) Speed Back see icon with 2 arrows icon (toolbar)

5) Find / Find Next

6) Shuffle play list

7) system dialog box

8) Cross fader
enable on/off media fader in the mixer
auto start a media in cross fading (if not media starting)
3 types cross fader

9) Select All

10) Tooltips in mixer

11) Save number of views at exit

12) Init directory search (media without full path)

13) new file formats :
MS AUDIO .wma .asf
Real Audio .ra

14) Auto affectation for mixer channels folowing a play list (1234321...)

15) replay the media with numpad key + alt key
Alt-1 replay the media in mixer channel 1
1 play/stop the media in mixer channel 1

16) keyboard control for all potentiometers

Keys | Actions
up (or right) | increase
down (or left) | decrease
PgUp | high increase
Pgdn | high decrease
Home | min
End | max
key / | middle


MixVibes Help introduction

Introduction
  Past1.gif (491 octets) Setting audio cards
  Past1.gif (491 octets) Definition
  Past1.gif (491 octets) Views

Past1.gif (491 octets) Drag and drop

  screengeneral2.jpg (77426 octets)

Settings audio cards

If you have more than one audio card installed you have to go to the menu options and set audio cards drivers and mixer for each out port.

The number of audio cards will determine the number of out ports.

MixVibes can mix any number of sound files in each out port (audio card).

See options help

Definition

Media

A media represents a sound file with all informations relative to this file.

ID3 tag informations (not limited to 30 caracters) :

  • Title
  • Author
  • Album
  • Comment
  • Genre
  • Year

You can import or export from MixVibes file format and information to ID3 tag format and m3u format.

Specific informations to MixVibes :

  • Base Tempo (music tempo with normal speed)
  • Position for starting and ending (in ms)
  • Volume / pan (in 10*db)
  • Gain in db
  • Fade in and Fade out (in sec)
  • Audio out (each audio cards is affected to number out)
  • Mixer channel associated where the media will be displayed when playing
  • Speed in percent
  • Loop check
  • Equalization and kill frequency : bass / middle / treble

You can add a cover file to a media (image file .jpg/.gif or html file).

Format file compatible

  • mpeg files : mp1, mp2, mp3
  • ms audio files : .wma, .asf
  • wave and compressed wave files : .wav (ms adpcm, ima adpcm, ...)
  • unix files : .au
  • mac files : .aif, .aiff
  • midi files : .mid

Event

An event is a time stamp information : the playlist is composed of events.

An event is associated with a media and has a start time, a duration.

There are 2 kinds of event :

  • Play event where you can define fade in, level for volume and pan at starting
  • Stop event where you can define fade out

Views

There are 3 views in MixVibes. Each view is dynamic and can be closed and reopened.

At restart, Mixvibes will recall all views present in last exit.

Mixer View

There are 4 channels in the mixer. Each channel can control a media.

You can control in real time all informations on a media.

You can change the media active in each channel with the media channel list (also with drag and drop).

Media List View

The media list all media in the MixVibes file. You can put thousands of media in a file.

There are 2 kinds of display : list (only name display) or details (more info).

You can display your media with order (many kind of sorts are available) and a powerful search function can be used.

You can start or stop a media in this view by a simple double click. You can also used space key for starting the selected media and back key for stopping it.

You can select more than a media for multiple operation : for ex. start 2 media or more at same time (see selection).

There are 2 icons (see in Title first 2 columns) :

highlight icon

media state icon : unload / play / stop / fade in / fade stop

Playlist View

The playlist View display all events. There can be any number of event and more than an event can start at the same time. Events are displayed by start time order.

There are 2 kinds of display : list (start time and media name associated) or details (more info).

An icon (first report field) is defined for the type of event (play or stop).

Drag and drop

MixVibes uses mainly the concept of drag and drop.

You can drag and drop inside each view and between views.

Mixer View

drag inside the view change the channel affectation or do a beat matching if the key shift is pressed when dragging

drag in the playlist view insert the media in the channel into the playlist

Media View

drag inside the view change the position in the list of the media

drag in the mixer view do a channel affectation for the media drag with the channel mixer droped.

drag in the playlist insert all media selected in the playlist.

Playlist View

drag inside the view change the position in the list of the event


MixVibes Functions

Functions
    Add Media
    Play List
    Selection
    Edit Master Counter
    Edit Media Counter
    Master/slave
    Edit Event
    Arrange
    AutoArrange
    Cross Fader
    Automatic Fade
    Beat counting
    Beat matching
    Talk over
    Equalization and Kill Frequency
    Save in Wave
    Changing colors
    Load state
    Mixer control lock
    DJ Name
    Mouse move and mouse  wheel

Add Media
For adding media files in MixVibes database there are 3 ways
  1. Command Add in menu or the button add in the each mixer channel
  2. Drag and drop in the media list view or in mixer channel or in playlist view
  3. Command scan for a drive or directory. this command will scan all
child directories to find media files.

Play List
There are 5 ways to create Playlist :
  1. Direct drag and drop from Windows to the Playlist View. All files will be inserted at the end
of the Playlist.
  2. Drag and drop from Mixer channel to Playlist View
Drag at the top of mixer channel. You can drag only 1 media.
  3. Drag and drop from Media List to Playlist View
you can select any number of media and you drop in Playlist View. All media
selected will be inserted in Playlist.
  4. AddToMix add the media selected in Playlist at the counter position (start time = counter time)
AddToMix can be activated with right click in Mixer View or Media List
  5. AutoMix function
Activate the Media List View and call the AutoMix function from menu.
We can add all the media list or selected media in the Playlist (All List check box).

  screen automix (9900 octets)
We can set in the AutoMix dialog Box :
    - The insert start time in Playlist (initially set with counter position)
    - The mix interval time : time interval before the next media in media list
      will start from the end of previous media
    - Fade in and out affected to all media inserted
Selection

screenmultiselect.jpg (27163 octets)

You can select more than 1 item in the Media List or in Event List.
The multi selection works like the multi selection in Windows

- select with the mouse right button
- Shift key pressed and select an item
- Ctrl key pressed and select an item (very usefull for no sequential selection)

These operations are relative to selection in Media List :
- Play/Stop
- Delete
- Change Path
- Drag and drop for playlist
- Save in wave

These operations are relative to selection in Playlist :
- Delete
- Arrange

Edit Master Counter

 screeneditcounter.jpg (19999 octets)

We can edit the master counter with double click in the counter field.
If the Playlist is running, the validation will set the playlist time in real time.

If you want go to a song number in the playList we can edit the counter, enter ":eventnumber" and validate.
For ex. ":10" go to the song number 10 (event 10).

All these operations are relative to the counter :

- Start the playlist
- Add To Mix
- AutoMix

The program will wait the validation (or cancel) of the field either with the key Enter (or Escape).

Edit Media Counter

screenedittime.gif (10920 octets)

You can edit the position time of the media in double clicking in the field.
If the media is playing, the validation will set the position time in real time.
The modification of the time position don't set the media start position.

Master/slave

A master channel can manage all slave channels for : volume, pan, equalization, out, speed, start, stop, moving

a master channel is set M in the mixer
a slave channel is set with the number of master channel

You can change master/slave settings by mouse clicking in the M or number case

Edit Event

screeneditevent.jpg (15307 octets)

You can edit the event in Play List :
- Select an event
- Tape Enter or with menu edit command

You can change start time in playlist, duration of event, fade and vol/pan settings.

The automatic Fade In is set with Play Event

The automatic Fade Out is set with Stop Event.

The vol is expressed in -decibel/10. For ex. -105 = -10,5db

The pan is expressed in decibel /10
negative:left channel attenuation / positive: right channel attenuation

Ex.:
-1000 = listen only the right channel
1000 = listen only the left channel
-15 = left channel attenuation of 1,5db

Arrange

If you want to change the start time of an event or many events, select 1 or more event in Playlist and run this function in the menu mix.

You can increase the start time in the play list (positive value) or decrease (negative value).

AutoArrange

If you set the Autoarrange option, when you will insert new events, delete events, or move events, the program will udpate the playlist start time for following others events.

Cross Fader
  crossfader.jpg (6170 octets)
The cross fader can be set in selecting the mixer channel with the spin control.
set the number 0 for no selection.
After choosing the 2 mixer channels for cross fading you can slide the crossfader thumb
and the mix will be done between the 2 media inside each mixer channel.
You can also use keyboard shorcuts for increase or decrease volume and speed
with your 2 hands :
F1-F2 (volume)  F3-F4(speed) for the first mixer channel
F9-F10 (volume) F11-F12(speed) for the second mixer channel
There are 3 types cross fader (click in the number to change type)

You can enable on/off the change media fader by the cross fader (see red led)
and can select an auto start options for the media cross fading (see green led)

Automatic Fade
For setting in fade, select a media (with edit button in mixer or in media list)
check the box for fade in or fade out and set a timing for each fade in second
After modifing the media, if you play the media a fade-in will be done and
when you stop a fade-out will be done

Beat counting
For doing a beat counting place the cursor inside the tempo field in the mixer channel
and tape the key space at the rhythm of the music.
More you tape more accurate will be the beat counting (the program do the average
on 30 last tapes).

Beat matching

Select the media in the mixer to be matched and drag and drop
with shift key pressed on the media in the mixer to match (you will see cursor =)
if you don't press shift key the media move to the mixer channel dropped

Talk Over

if you want to speak on the music with your micro, you can use the talk over command (microphone icon on toolbar). for speaking, click in talk over icon and when stop speaking click back in the talk over icon for resetting normal volume.
You can set fade time and db attenuation (see options).
Talk over fade out and in automatically for all audio channels.

Equalization and Kill Frequency

The Equalization controls have a range of +/- 10 db.

You can do kill frequency in selecting the small buttons under the Equalization controls.

Bass kill freq : 200Hz
Middle kill freq : 500Hz
Treble kill freq : 3000Hz

Save in Wave

mvsavewave.jpg (10106 octets)

If you select an item or group of item in media list, you can save all these files in a wave format.
You select the directory where wave files will be placed and just click OK. Then you can transform mp3 files on wave format.

The operation take care of start time and end time of the media.

If you uncheck the direct mode then the operation save with the equalization settings and stereo mode.

Changing colors

You can change the colors of all MixVibes Views : Mixer, Media list, Playlist and of the all buttons.
Select the color for the background or for text and border.
You can also choose color for mixer channel, cross fader, counter (master counter and mixer counter) and remove the display of screws.

Load state

When you select a media, it will be automatically loaded, then it can be start quickly.
When you stop, the media will stay loaded (as pause mode).
A click on stop button if media is stopped, will cue the media. A double click in stop buuton will be unload the media.
The play state (led in the mixer channel above the play button) show this state :
led on = media loaded / led off = media unloaded

Mixer control lock

if you check the mixer control lock options (see menu window or right click in mixer) then no change will be done by the media settings for out port, equalization and volume.

DJ Name

You can enter your DJ name go to the File Menu, choose option and set DjName.

MixVibes will replace by your name.

Mouse move and mouse wheel

movemouse.jpg (3946 octets) You can move media position with the mouse. If you click in the mixer channel counter and move the mouse in right, left, down, up direction (with mouse button down) the media position will be changed. the power of move depends the type of speed (see toolbar).

The mouse wheel can control all mixer controls (volume pan equalization gain ... and also mixer counter)
just be over the control and wheel


MixVibes Help options

Options / System
  options.jpg (23268 octets)

audio cards

The number of audio cards will determine the number of audio out ports.

You can choose for each audio out ports the audio cards selected. You have to choose also the right mixer.
MixVibes would take care of changes only after restarting the program.

Some audio cards can be seen as many audio drivers.

Others options

Move value: this value set the position increase (or decrease) for forward (or backward) in a media

Acceleration : this value set how many times the move value will increase each second when forward/backward buttons are staying pushed

Warning : time before the end of media will blink the green warning led

Fade time : when inserting media in playlist this value will determine cross fading time between 2 media folowing

Talk over fade and att. : set the fade time and attenuation for talk over command

Init dir : init directory when program start (if not empty)

System
  system.jpg (7448 octets)

buffer size : size of audio buffer in ms. Increasing the time can increase performance but equalization will be less accurate to change.

Interrupt : time period in ms when servicing the audio buffer. Increasing the time can increase performance. In general 1/10 of buffer size time.

Audio latency : use for adjusting the start time of a media.

Create only directx Media streams : MixVibes can use Directx Media for mp3 and wave in place of internal services. If you check this option, all medias created after will use the directx Media services and use same codec than used by Microsoft media player (for mp3 Microsoft use the Fraunofer-Gesellschaft IIS).
For back to internal services uncheck this option.

Priority : change priority program (after restarting)


MixVibes Help toolbar

ToolBar

screentoolbar.jpg (5958 octets)

from left to right

New : create a new mix
Open : open a existing mix
Save : save the current mix
Reset : reset will stop all playing media, stop the playlist and reset the counter to the beginning (0)
Play mix: start the playlist at counter position
Stop mix: stop the playlist and reset the counter. This command stop also all media playing
Record mix: record mode. All play and stop will be recorded but no others controls (volume pan ...)
Backward : go back the playlist of move value see option (default: 400ms)
Forward : go forward the playlist
- : go to the previous song (or keypad -)
+ : go to the next song (or keypad +)
shuffle : start the playlist at randomly event
down in the list: down the selected item in the media list or playlist
up in the list: up the selected item in the media list or playlist
Talk over : talk over

Display:
display play list (on/off)
display media list (on/off)
display main volume (on/off)

Options:
Loop : Loop the playlist
mixer change : enable the change from media list when you play media in the media list View
AutoArrange : autoarrange enable
Speed back: speed will back after mouse up
Speed type: how act up/down push buttons speed


MixVibes Help shortcuts

Keyboard Shortcuts
CTRL+I | Add Music
CTRL+G | Volume general
CTRL+N | New File
CTRL+O
 Open File
CTRL+S
 Save File
ESC
Stop Play List
Shift+ESC
 Reset
Enter
 Edit a media or an event when item selected
keypad + | Next song
keypad - | Previous song
Space | play a media selected
BackSpace | stop a media selected
keypad 1 | start/stop media selected in mixer 1
keypad 2 | start/stop media selected in mixer 2
keypad 3 | start/stop media selected in mixer 3
keypad 4 | start/stop media selected in mixer 4
keypad 1 + Alt | restart media selected in mixer 1
keypad 2 + Alt | restart media selected in mixer 2
keypad 3 + Alt | restart media selected in mixer 3
keypad 4 + Alt | restart media selected in mixer 4
keypad 0 | start/stop play list
F1-F2 | volume for mixer selected in crossfader mixer A
F3-F4 | speed for mixer selected in crossfader mixer A
F9-F10 | volume for mixer selected in crossfader mixer B
F11-F12
 speed for mixer selected in crossfader mier B


Mix Vibes FAQ

FAQ

Install doesn't work ?
if installation program (install.exe) doesn't work, download the distribution .zip (mixvibes20x.zip),
unzip files in a directory and run mixvibes.exe. Only the file mixvibes.exe is neccessary to run mixvibes.
if you want later clean the registry, you will execute uninstall.exe.

How can I connect headphones or another audio port ?
MixVibes can manage until 4 directx audio cards. To have an audio port for connecting headphones, you have to install a new audio card compatible with Directx. If your PC has USB ports and works with Windows 98 or NT 2000, you can also connect usb speakers (with the headphones out). USB audio is managed like a directx audio card. You can have more than 1 USB audio port.

List of audio cards tested myself

Sound blaster 16/32/64 ISA (2 can be installed)
Sound blaster 64 PCI (2 same card don't work see creative labs site)
Sound blaster 128 PCI (2 same card don't work see creative labs site)
Sound blaster SB LIVE PCI (2 same card don't work see creative labs site)
Yamaha chipset
USB audio on windows 98 and NT2000 (2 or more can be installed)

Many others directx cards will work. try to take certified directx driver.

After installing a new card in your system, run MixVibes and go to menu options (general), check that MixVibes have found your card, select the audio card for each audio out and the correct mixer (MixVibes cannot affect automatically the correct mixer because there are different name in directx driver and mixer driver!) and restart MixVibes if you change something.

Can I mix with 1 only audio card ?
Yes, MixVibes can mix unlimited number of audio files. it's just limited by your PC.
mp3 files (128kbits stereo) use about 8% of cpu usage.
wave files (44100 stereo 16 bits) about 2%.
Tested on Pentium II 350 and Windows 98.

I listen some trigger sound or crackles when playing any file ?
The problem could come from your directx installation. To test your directx configuration you can download the Microsoft directx diagnostic utility.

Can I save a mix in wave file or mp3 ?
No yet in this version.

How can I add many audio files in same time ?
For adding many media files in MixVibes database there are 3 ways :

  • Drag and drop from Windows folders to the media list view, mixer channel or in playlist view,
  • Scan command from menu for a drive or directory,
  • Import a .m3u file

MixVibes database can manage a lot of media (test 3000 items without performance problem).

How can I do Beat calculation ?
For doing a beat counting place the cursor inside the bpm field in the mixer channel
and tape the key space at the rhythm of the music.
More you tape more accurate will be the beat counting (the program do the average
on 30 last tapes).

MixVibes cannot load
if you see this message "MIXVIBES caused an invalid page fault module ASMAUDDECFF.DLL or xmp3dec.dll".
The problem comes from these dll not MixVibes (in fact MixVibes is not yet executed). These dll are not used and not installaed by MixVibes.
Rename these dll (for example *.old) in the directory where you find these 2 dll.
Many MixVibes users have done this manipulation without troubles for others programs in their PC. A bug is probably in these 2 dll.

info@mixvibes.com
 Copyright © MIX VIBES 1998 Tous droits réservés.


MixVibes Help thanks

Thanks
To Franck Guez, Cristopher Mulready, Gabriel Bouvigne, Mike Brown,
Jack & Karen Freer, Toppi Michel, Marwan and all MixVibes users ...


MixVibes bug list 1.1.2

Bug list verison 1.1.2
  1. record mode : this mode cannot do more than 1 record session
  2. beat matching : if media has already a speed defined the beat matching do bad calculation
  3. speed back : speed back work randomly
  4. equalization on stereo file : equalization manage stereo like mono file and then equalized sound seem blur


Mix Vibes DownLoad

Download

Choose to download either the self extractible files (.exe) or the zip files (.zip).
For zip files, unzip in a directory and run install.exe.

Version 2.0 pro beta 2 (end the 09/30/99)
mixvibespro.zip (417Ko)

Version 2.0
this is a shareware version limited to 30" without save function when unregistred

Server1
mixvibes20 self extractible (605Ko)
mixvibes20.zip (580Ko)

Server2
mixvibes20 self extractible (605Ko)
mixvibes20.zip (580Ko)

Version 1.1.2
This shareware version is not limited (read bug list)

Server1
mixvibes self extractible (450Ko)
mixvibes .zip (420Ko)

Server2
mixvibes self extractible (450Ko)
mixvibes .zip (420Ko)

Inscription to MixVibes mailing list for upgrade and new products informations

Name :    *
Email :   *


MixVibes win32 mp3 mixer for DJ - Introduction

Welcome to MixVibes
mvdefault.jpg (21593 octets) MixVibes is a DJ application. It lets you play and mix up many sound files (and video with the pro version).
All sound formats are supported including mp3 and wav.
Each mixer channels offers controls for equalization, gain, speed, volume, pan, position in and out, automatic fade in/out, and tempo.
MixVibes works with 32-bit Windows platforms (95/98/NT4/NT2000).
So you want to be a disc jockey ?
MixVibes can manage until four DirectX audio drivers and can switch between them on the fly (you can also use MixVibes with only one sound card).

The new version pro is available in beta for testing, version is limited to 1 month.

The new version pro include many new professional functions :

  • Real time audio effects : echo, reverb, chorus, flanging, phasing, modulation, filter
  • Customizable number of channels for the mixer (2 to 16)
  • Video media with 3 video windows and multiple monitor supported (video is managed like music media)
  • 10 bands stereo equalizer
  • Digital voice
  • ...

Functions

This release can play :

  • mpeg (audio only): MP1, MP2, MP3,
  • ms audio : .wma, .asf
  • WAV,
  • MIDI,
  • AU,
  • AIF, AIFF

It can mix unlimited number of files in each audio cards (except for midi files).
It's only limited by the pc performance.

MixVibes can manage 1 to 4 directx audio cards and 1 midi driver (the default driver).
You can switch sound driver (out) at any moment.

Main functions

3 dynamic views : Mixer / Media List (sound files) / Play list (event)

use of drag and drop in each view
use of drag and drop from mixer or media list to create play list in 1 mouse move. It's so simple !

multi selection for media and event (play list element).

Compatible with ID3v1 TAG.

Media databases : order / find / select

Save media files in wave format (mp3 to wav for ex)

Scan directories or drives for adding media in database

Beat Counting / Beat Matching

Talk Over

Cross fading

Playlist with start time and duration for each media

Each media can be configured with :

  • 3 bands equalization
  • 3 Killer frequency
  • cross fader
  • automatic fade in and out
  • dynamic selection of audio drivers
  • gain
  • speed
  • volume / pan
  • position in and out
  • automatic fade in / out
  • tempo
CONFIGURATION
Processor:
PENTIUM 133 MMX minimum
RAM :
32 Mo
System :
Windows 95, Windows 98, Windows NT
DirectX 3.0 or more
Sound card:
sound card compatible DirectX
USB sound compatible
4 sound cards or drivers

"So you want to be a disc jockey? Check out MixVibes. Looking very similar to a mobile or club DJ's mixer, it lets you play and mix up to four sound files at once, complete with crossfader control... Even professional DJs who are interested in moving from a hardware- to a software-based presentation will definitely want to give this one a test spin." ZDNET Review

IDDN IDDN Certification